
.. _migrate_cli:

migrate
*******







.. rubric:: Output of :code:`--help=migrate`



The following help text is generated by :code:`ecflow_client --help=migrate`

::

   
   migrate
   -------
   
   Used to print state of the definition returned from the server to standard output.
   The node state is shown in the comments.
   This is the format used in the check point file, but with indentation.
   Since this is essentially the defs format with state in the comments,it allows the definition to be migrated to future version of ecflow.
   The output includes edit history but excludes externs.
   When the definition is reloaded *NO* checking is done.
   
   The following shows a summary of the features associated with each choice:
                          --get  --get_state  --migrate
   Auto generate externs    Yes    Yes          No
   Checking on reload       Yes    Yes          No
   Edit History             No     No           Yes
   Show trigger AST         No     Yes          No
   
   Usage:
       --migrate         # show all suites
       --migrate=/s1     # show state for suite s1
   
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

